# -*- coding: utf-8 -*-
"""
Created on Wed Apr 24 09:33:49 2019

@author: Michael
"""

import matplotlib.pyplot as plt

r = [ 1, 0.99942, 1.4999, 1.49676, 1.87466, 1.87596, 2.19068, 2.1939, 2.46788, 2.4639, 2.71132, 2.71194, 2.93488, 2.93366, 3.1432, 3.13932, 3.3401, 3.34764, 3.52942, 3.52092, 3.70512, 3.7108, 3.88066, 3.87054, 4.04108, 4.04282, 4.19958, 4.18186, 4.34218, 4.3488, 4.495, 4.48654, 4.63008, 4.63058, 4.77276, 4.76664, 4.90142, 4.89822, 5.03634, 5.04038, 5.16186, 5.15188, 5.2837, 5.2774, 5.39926, 5.39828, 5.52648, 5.52818, 5.63968, 5.6319, 5.75666, 5.75464, 5.86358, 5.86404, 5.983, 5.98142, 6.08408, 6.08384, 6.19182, 6.19406, 6.28974, 6.28678, 6.39758, 6.39722, 6.49062, 6.49384, 6.59892, 6.59868, 6.68812, 6.68782,
6.78864, 6.79522, 6.88158, 6.87642, 6.97552, 6.97564, 7.06334, 7.0584, 7.15948, 7.1656, 7.2508, 7.2451, 7.34218, 7.35836, 7.43628, 7.43244, 7.52546, 7.5294, 7.61218, 7.61124, 7.69826, 7.7044, 7.78452, 7.78438, 7.8684, 7.87562, 7.9529, 7.95066, 8.03292, 8.04182 ]

plt.plot(r,'*')
plt.xlabel('time step')
plt.ylabel('<r>')
plt.title('number of steps = %d' % len(r))
plt.show()